﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FileSystem {
  // models a link (shortcut) to an Entry not in the present folder/level
  public class Shortcut: Entry {
    public readonly Entry Link;  // the Entry that this shortcut "jumps to"

    public Shortcut(string name, Entry link) {
      base.name = name;
      this.Link = link;
    }

    // makes a string representation of this Shortcut:
    public override string makeString(string indent) {
       return  indent + "Shortcut: " + this.name + "\r\n";
    }
  }
}
